Get team settings
Returns the team’s Grid settings, including the default models for each coding harness and the team’s spend limits.
curl --request GET \
--url https://api.baseten.co/v1/grid/team_settings \
--header "Authorization: Bearer $BASETEN_API_KEY"import requests
import os
API_KEY = os.environ.get("BASETEN_API_KEY", "<YOUR_API_KEY>")
url = "https://api.baseten.co/v1/grid/team_settings"
headers = {"Authorization": f"Bearer {API_KEY}"}
response = requests.request(
"GET",
url,
headers=headers,
params={'team_id': 'abc1234'}
)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.baseten.co/v1/grid/team_settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.baseten.co/v1/grid/team_settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.baseten.co/v1/grid/team_settings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.baseten.co/v1/grid/team_settings")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.baseten.co/v1/grid/team_settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"team_id": "abc1234",
"team_name": "Engineering",
"harness_defaults": {
"claude_code": {
"primary": {
"source": "user",
"route": {
"id": "<string>",
"name": "<string>",
"team_id": "<string>",
"team_name": "<string>",
"display_name": "<string>",
"description": "<string>",
"target": {
"type": "BASETEN_MODEL_API",
"model": "<string>"
},
"metadata": {
"slug": "<string>",
"display_name": "<string>",
"release_date": "2023-12-25",
"provider": "<string>",
"context_window": 123,
"max_output_tokens": 123,
"input_modalities": [
"<string>"
],
"tools": true,
"reasoning_effort_levels": [
"<string>"
],
"parallel_tool_calls": true,
"supported_api_formats": {
"messages": false,
"responses": false,
"chat_completions": false
},
"cost": {
"input": 123,
"output": 123,
"cache_read": 123,
"cache_write": 123,
"long_context": {
"input": 123,
"output": 123,
"cache_read": 123,
"cache_write": 123
}
}
},
"invoke_url": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
},
"background": {
"source": "user",
"route": {
"id": "<string>",
"name": "<string>",
"team_id": "<string>",
"team_name": "<string>",
"display_name": "<string>",
"description": "<string>",
"target": {
"type": "BASETEN_MODEL_API",
"model": "<string>"
},
"metadata": {
"slug": "<string>",
"display_name": "<string>",
"release_date": "2023-12-25",
"provider": "<string>",
"context_window": 123,
"max_output_tokens": 123,
"input_modalities": [
"<string>"
],
"tools": true,
"reasoning_effort_levels": [
"<string>"
],
"parallel_tool_calls": true,
"supported_api_formats": {
"messages": false,
"responses": false,
"chat_completions": false
},
"cost": {
"input": 123,
"output": 123,
"cache_read": 123,
"cache_write": 123,
"long_context": {
"input": 123,
"output": 123,
"cache_read": 123,
"cache_write": 123
}
}
},
"invoke_url": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
}
},
"opencode": {
"primary": {
"source": "user",
"route": {
"id": "<string>",
"name": "<string>",
"team_id": "<string>",
"team_name": "<string>",
"display_name": "<string>",
"description": "<string>",
"target": {
"type": "BASETEN_MODEL_API",
"model": "<string>"
},
"metadata": {
"slug": "<string>",
"display_name": "<string>",
"release_date": "2023-12-25",
"provider": "<string>",
"context_window": 123,
"max_output_tokens": 123,
"input_modalities": [
"<string>"
],
"tools": true,
"reasoning_effort_levels": [
"<string>"
],
"parallel_tool_calls": true,
"supported_api_formats": {
"messages": false,
"responses": false,
"chat_completions": false
},
"cost": {
"input": 123,
"output": 123,
"cache_read": 123,
"cache_write": 123,
"long_context": {
"input": 123,
"output": 123,
"cache_read": 123,
"cache_write": 123
}
}
},
"invoke_url": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
},
"background": {
"source": "user",
"route": {
"id": "<string>",
"name": "<string>",
"team_id": "<string>",
"team_name": "<string>",
"display_name": "<string>",
"description": "<string>",
"target": {
"type": "BASETEN_MODEL_API",
"model": "<string>"
},
"metadata": {
"slug": "<string>",
"display_name": "<string>",
"release_date": "2023-12-25",
"provider": "<string>",
"context_window": 123,
"max_output_tokens": 123,
"input_modalities": [
"<string>"
],
"tools": true,
"reasoning_effort_levels": [
"<string>"
],
"parallel_tool_calls": true,
"supported_api_formats": {
"messages": false,
"responses": false,
"chat_completions": false
},
"cost": {
"input": 123,
"output": 123,
"cache_read": 123,
"cache_write": 123,
"long_context": {
"input": 123,
"output": 123,
"cache_read": 123,
"cache_write": 123
}
}
},
"invoke_url": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
}
},
"codex": {
"primary": {
"source": "user",
"route": {
"id": "<string>",
"name": "<string>",
"team_id": "<string>",
"team_name": "<string>",
"display_name": "<string>",
"description": "<string>",
"target": {
"type": "BASETEN_MODEL_API",
"model": "<string>"
},
"metadata": {
"slug": "<string>",
"display_name": "<string>",
"release_date": "2023-12-25",
"provider": "<string>",
"context_window": 123,
"max_output_tokens": 123,
"input_modalities": [
"<string>"
],
"tools": true,
"reasoning_effort_levels": [
"<string>"
],
"parallel_tool_calls": true,
"supported_api_formats": {
"messages": false,
"responses": false,
"chat_completions": false
},
"cost": {
"input": 123,
"output": 123,
"cache_read": 123,
"cache_write": 123,
"long_context": {
"input": 123,
"output": 123,
"cache_read": 123,
"cache_write": 123
}
}
},
"invoke_url": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
}
},
"pi": {
"primary": {
"source": "user",
"route": {
"id": "<string>",
"name": "<string>",
"team_id": "<string>",
"team_name": "<string>",
"display_name": "<string>",
"description": "<string>",
"target": {
"type": "BASETEN_MODEL_API",
"model": "<string>"
},
"metadata": {
"slug": "<string>",
"display_name": "<string>",
"release_date": "2023-12-25",
"provider": "<string>",
"context_window": 123,
"max_output_tokens": 123,
"input_modalities": [
"<string>"
],
"tools": true,
"reasoning_effort_levels": [
"<string>"
],
"parallel_tool_calls": true,
"supported_api_formats": {
"messages": false,
"responses": false,
"chat_completions": false
},
"cost": {
"input": 123,
"output": 123,
"cache_read": 123,
"cache_write": 123,
"long_context": {
"input": 123,
"output": 123,
"cache_read": 123,
"cache_write": 123
}
}
},
"invoke_url": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
}
}
},
"spend_limit": {
"per_member_monthly_limit_usd": "200",
"team_wide_monthly_limit_usd": "5000"
}
}Authorizations
Send Authorization: Bearer <api_key>. The legacy Authorization: Api-Key <api_key> scheme is also accepted.
Query Parameters
ID of the team. When omitted, the team you belong to; required when you belong to several.
1"abc1234"
Response
ID of the team.
"abc1234"
Name of the team.
"Engineering"
Route for each model role of each coding harness. A role with no route set by a team admin uses the default chosen from the team's Model API routes: the recommended model for primary and the lowest-priced model for background. These defaults never use external-provider routes.
Show child attributes
Show child attributes
Spend limits for Baseten Grid for members' spend in this team.
Show child attributes
Show child attributes
Was this page helpful?
curl --request GET \
--url https://api.baseten.co/v1/grid/team_settings \
--header "Authorization: Bearer $BASETEN_API_KEY"import requests
import os
API_KEY = os.environ.get("BASETEN_API_KEY", "<YOUR_API_KEY>")
url = "https://api.baseten.co/v1/grid/team_settings"
headers = {"Authorization": f"Bearer {API_KEY}"}
response = requests.request(
"GET",
url,
headers=headers,
params={'team_id': 'abc1234'}
)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.baseten.co/v1/grid/team_settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.baseten.co/v1/grid/team_settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.baseten.co/v1/grid/team_settings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.baseten.co/v1/grid/team_settings")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.baseten.co/v1/grid/team_settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"team_id": "abc1234",
"team_name": "Engineering",
"harness_defaults": {
"claude_code": {
"primary": {
"source": "user",
"route": {
"id": "<string>",
"name": "<string>",
"team_id": "<string>",
"team_name": "<string>",
"display_name": "<string>",
"description": "<string>",
"target": {
"type": "BASETEN_MODEL_API",
"model": "<string>"
},
"metadata": {
"slug": "<string>",
"display_name": "<string>",
"release_date": "2023-12-25",
"provider": "<string>",
"context_window": 123,
"max_output_tokens": 123,
"input_modalities": [
"<string>"
],
"tools": true,
"reasoning_effort_levels": [
"<string>"
],
"parallel_tool_calls": true,
"supported_api_formats": {
"messages": false,
"responses": false,
"chat_completions": false
},
"cost": {
"input": 123,
"output": 123,
"cache_read": 123,
"cache_write": 123,
"long_context": {
"input": 123,
"output": 123,
"cache_read": 123,
"cache_write": 123
}
}
},
"invoke_url": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
},
"background": {
"source": "user",
"route": {
"id": "<string>",
"name": "<string>",
"team_id": "<string>",
"team_name": "<string>",
"display_name": "<string>",
"description": "<string>",
"target": {
"type": "BASETEN_MODEL_API",
"model": "<string>"
},
"metadata": {
"slug": "<string>",
"display_name": "<string>",
"release_date": "2023-12-25",
"provider": "<string>",
"context_window": 123,
"max_output_tokens": 123,
"input_modalities": [
"<string>"
],
"tools": true,
"reasoning_effort_levels": [
"<string>"
],
"parallel_tool_calls": true,
"supported_api_formats": {
"messages": false,
"responses": false,
"chat_completions": false
},
"cost": {
"input": 123,
"output": 123,
"cache_read": 123,
"cache_write": 123,
"long_context": {
"input": 123,
"output": 123,
"cache_read": 123,
"cache_write": 123
}
}
},
"invoke_url": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
}
},
"opencode": {
"primary": {
"source": "user",
"route": {
"id": "<string>",
"name": "<string>",
"team_id": "<string>",
"team_name": "<string>",
"display_name": "<string>",
"description": "<string>",
"target": {
"type": "BASETEN_MODEL_API",
"model": "<string>"
},
"metadata": {
"slug": "<string>",
"display_name": "<string>",
"release_date": "2023-12-25",
"provider": "<string>",
"context_window": 123,
"max_output_tokens": 123,
"input_modalities": [
"<string>"
],
"tools": true,
"reasoning_effort_levels": [
"<string>"
],
"parallel_tool_calls": true,
"supported_api_formats": {
"messages": false,
"responses": false,
"chat_completions": false
},
"cost": {
"input": 123,
"output": 123,
"cache_read": 123,
"cache_write": 123,
"long_context": {
"input": 123,
"output": 123,
"cache_read": 123,
"cache_write": 123
}
}
},
"invoke_url": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
},
"background": {
"source": "user",
"route": {
"id": "<string>",
"name": "<string>",
"team_id": "<string>",
"team_name": "<string>",
"display_name": "<string>",
"description": "<string>",
"target": {
"type": "BASETEN_MODEL_API",
"model": "<string>"
},
"metadata": {
"slug": "<string>",
"display_name": "<string>",
"release_date": "2023-12-25",
"provider": "<string>",
"context_window": 123,
"max_output_tokens": 123,
"input_modalities": [
"<string>"
],
"tools": true,
"reasoning_effort_levels": [
"<string>"
],
"parallel_tool_calls": true,
"supported_api_formats": {
"messages": false,
"responses": false,
"chat_completions": false
},
"cost": {
"input": 123,
"output": 123,
"cache_read": 123,
"cache_write": 123,
"long_context": {
"input": 123,
"output": 123,
"cache_read": 123,
"cache_write": 123
}
}
},
"invoke_url": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
}
},
"codex": {
"primary": {
"source": "user",
"route": {
"id": "<string>",
"name": "<string>",
"team_id": "<string>",
"team_name": "<string>",
"display_name": "<string>",
"description": "<string>",
"target": {
"type": "BASETEN_MODEL_API",
"model": "<string>"
},
"metadata": {
"slug": "<string>",
"display_name": "<string>",
"release_date": "2023-12-25",
"provider": "<string>",
"context_window": 123,
"max_output_tokens": 123,
"input_modalities": [
"<string>"
],
"tools": true,
"reasoning_effort_levels": [
"<string>"
],
"parallel_tool_calls": true,
"supported_api_formats": {
"messages": false,
"responses": false,
"chat_completions": false
},
"cost": {
"input": 123,
"output": 123,
"cache_read": 123,
"cache_write": 123,
"long_context": {
"input": 123,
"output": 123,
"cache_read": 123,
"cache_write": 123
}
}
},
"invoke_url": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
}
},
"pi": {
"primary": {
"source": "user",
"route": {
"id": "<string>",
"name": "<string>",
"team_id": "<string>",
"team_name": "<string>",
"display_name": "<string>",
"description": "<string>",
"target": {
"type": "BASETEN_MODEL_API",
"model": "<string>"
},
"metadata": {
"slug": "<string>",
"display_name": "<string>",
"release_date": "2023-12-25",
"provider": "<string>",
"context_window": 123,
"max_output_tokens": 123,
"input_modalities": [
"<string>"
],
"tools": true,
"reasoning_effort_levels": [
"<string>"
],
"parallel_tool_calls": true,
"supported_api_formats": {
"messages": false,
"responses": false,
"chat_completions": false
},
"cost": {
"input": 123,
"output": 123,
"cache_read": 123,
"cache_write": 123,
"long_context": {
"input": 123,
"output": 123,
"cache_read": 123,
"cache_write": 123
}
}
},
"invoke_url": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
}
}
},
"spend_limit": {
"per_member_monthly_limit_usd": "200",
"team_wide_monthly_limit_usd": "5000"
}
}